Bug 255401 - multimedia/libdvdcss: Update to 1.4.3
Summary: multimedia/libdvdcss: Update to 1.4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://code.videolan.org/videolan/li...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-25 20:01 UTC by daniel.engberg.lists
Modified: 2021-05-14 06:03 UTC (History)
1 user (show)

See Also:


Attachments
Patch for libdvdcss (2.17 KB, patch)
2021-04-25 20:01 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for libdvdcss v2 (2.37 KB, patch)
2021-04-28 08:59 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2021-04-25 20:01:22 UTC
Created attachment 224429 [details]
Patch for libdvdcss

Update libdvdcss to 1.4.3

Compile tested on 13.0-STABLE #0 stable/13-n245227-5ec4eb443e8 (amd64)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-26 13:28:39 UTC
Q/A: RESTRICTED should be replaced with the more modern LICENSE
USES should be right before USE_LDCONFIG
GNU_CONFIGURE should appear after USE_LDCONFIG.

Thanks!
Comment 2 daniel.engberg.lists 2021-04-28 08:59:41 UTC
Created attachment 224488 [details]
Patch for libdvdcss v2

Address the issues mentioned except RESTRICTED becase I'm not a lawyer and I don't know what would be more suitable.
Comment 3 daniel.engberg.lists 2021-05-13 16:21:57 UTC
Fernando,
Can we apply this now and leave the license definition for later?
Comment 4 commit-hook freebsd_committer 2021-05-14 06:00:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fd036e9a4af953428f579dab47448956db26aa99

commit fd036e9a4af953428f579dab47448956db26aa99
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-05-14 05:22:58 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-05-14 05:55:58 +0000

    multimedia/libdvdcss: Update to 1.4.3

    ChangeLog: https://code.videolan.org/videolan/libdvdcss/-/blob/master/NEWS

    PR:     255401
    Reported by:    daniel.engberg.lists@pyret.net

 multimedia/libdvdcss/Makefile                      |  3 +--
 multimedia/libdvdcss/distinfo                      |  6 +++---
 .../libdvdcss/files/patch-src_libdvdcss.c (gone)   | 23 ----------------------
 3 files changed, 4 insertions(+), 28 deletions(-)
Comment 5 Fernando Apesteguía freebsd_committer 2021-05-14 06:03:33 UTC
Committed,

Thanks!